This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 474581 - rhn-oracle-jdbc and rhn-oracle-jdbc-tomcat5 to be removed from satellite 5.3.0
rhn-oracle-jdbc and rhn-oracle-jdbc-tomcat5 to be removed from satellite 5.3.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Release (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Dennis Gilmore
Corey Welton
: Triaged
Depends On:
Blocks: 456985 470992
  Show dependency treegraph
 
Reported: 2008-12-04 10:33 EST by Michael Mráka
Modified: 2009-09-10 16:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:31:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2008-12-04 10:33:05 EST
Description of problem:
Packages rhn-oracle-jdbc and rhn-oracle-jdbc-tomcat5 can be safely removed from satellite 5.3.0 they aren't required by any other packages.

Version-Release number of selected component (if applicable):
spacewalk-java-0.4.4-1
oracle-instantclient-basic-10.2.0-23

How reproducible:


Steps to Reproduce:
1. install satellite 5.3.0
2. rpm -q rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5
3. rpm -q --whatrequires rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5 
4. rhn-satellite restart
  
Actual results:
2. rpm -q rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5
rhn-oracle-jdbc-1.0-19.el5.noarch
rhn-oracle-jdbc-tomcat5-1.0-19.el5.noarch
3.  rpm -q --whatrequires rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5
spacewalk-java-0.4.2-1.el5.noarch
spacewalk-taskomatic-0.4.2-1.el5.noarch
spacewalk-java-0.4.2-1.el5.noarch
4. satellite works

Expected results:
2. rpm -q rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5
package rhn-oracle-jdbc is not installed
package rhn-oracle-jdbc-tomcat5 is not installed
3.  rpm -q --whatrequires rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5
no package requires rhn-oracle-jdbc
no package requires rhn-oracle-jdbc-tomcat5
4. satellite works


Additional info:
Comment 3 Jesus M. Rodriguez 2009-02-11 13:09:16 EST
# rpm -q rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5
package rhn-oracle-jdbc is not installed
package rhn-oracle-jdbc-tomcat5 is not installed


# rpm -q --whatrequires rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5
no package requires rhn-oracle-jdbc
no package requires rhn-oracle-jdbc-tomcat5

# find . -name rhn-oracle*
#

Packages have been removed from iso.
Comment 4 Corey Welton 2009-02-26 10:36:20 EST
QA Verified.
Comment 5 Jan Pazdziora 2009-08-19 10:30:57 EDT
[root@xen5 ~]# head -2 /var/log/rhn/rhn-installation.log
Installation log of Red Hat Network Satellite 5.3.0
(Satellite-5.3.0-RHEL5-re20090730.0)
[root@xen5 ~]# rpm -q rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5
package rhn-oracle-jdbc is not installed
package rhn-oracle-jdbc-tomcat5 is not installed
[root@xen5 ~]# rpm -q --whatrequires rhn-oracle-jdbc  rhn-oracle-jdbc-tomcat5
no package requires rhn-oracle-jdbc
no package requires rhn-oracle-jdbc-tomcat5
[root@xen5 ~]# 

Moving to RELEASE_PENDING.
Comment 6 Brandon Perkins 2009-09-10 16:31:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.